Bug 851804 - Review Request: compiz-plugins-extra - Additional Compiz Fusion plugins for Compiz
Review Request: compiz-plugins-extra - Additional Compiz Fusion plugins for C...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 19:07 EDT by Wolfgang Ulbrich
Modified: 2013-02-12 15:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:03:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 19:07:38 EDT
Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/compiz-plugins-extra.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SPEC/compiz-plugins-extra.spec
Description: The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:41:29 EDT
This is a re-review of a retired package.
Comment 5 Wolfgang Ulbrich 2013-01-10 15:30:59 EST
a scratch build works fine against f19, i used the latest srpm from fedorapeople. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=4855939
Comment 6 Mario Blättermann 2013-01-11 16:01:07 EST
$ rpmlint -i -v *
compiz-plugins-extra.i686: I: checking
compiz-plugins-extra.i686: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra.i686: E: incorrect-fsf-address /usr/share/doc/compiz-plugins-extra-0.8.8/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

compiz-plugins-extra.src: I: checking
compiz-plugins-extra.src: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra.src: I: checking-url http://releases.compiz.org/0.8.8/compiz-plugins-extra-0.8.8.tar.bz2 (timeout 10 seconds)
compiz-plugins-extra.x86_64: I: checking
compiz-plugins-extra.x86_64: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra.x86_64: E: incorrect-fsf-address /usr/share/doc/compiz-plugins-extra-0.8.8/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

compiz-plugins-extra-debuginfo.i686: I: checking
compiz-plugins-extra-debuginfo.i686: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra-debuginfo.x86_64: I: checking
compiz-plugins-extra-debuginfo.x86_64: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra-devel.i686: I: checking
compiz-plugins-extra-devel.i686: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

compiz-plugins-extra-devel.x86_64: I: checking
compiz-plugins-extra-devel.x86_64: I: checking-url http://www.compiz.org (timeout 10 seconds)
compiz-plugins-extra-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

compiz-plugins-extra.spec: I: checking-url http://releases.compiz.org/0.8.8/compiz-plugins-extra-0.8.8.tar.bz2 (timeout 10 seconds)
7 packages and 1 specfiles checked; 2 errors, 2 warnings.


No docs in a -devel package and an outdated FSF address, nothing worth to discuss.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+ and MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    bdce203098c62370b01b87741b04d3d9bc37e918789acce07120c4f081d5bbe3  compiz-plugins-extra-0.8.8.tar.bz2
    bdce203098c62370b01b87741b04d3d9bc37e918789acce07120c4f081d5bbe3  compiz-plugins-extra-0.8.8.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[x] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

Please add the ldconfig call. Your package adds a library into a subfolder of %libdir.

[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


Fix the ldconfig issue, and your package is ready for approval.

Still just a cosmetic issue (no review blocker, though): Remove the trailing whitespace from the "Summary", "Group", "License" and "URL" lines.
Comment 7 Wolfgang Ulbrich 2013-01-11 19:29:03 EST
All done in new build.

new scratch build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4861009

%changelog
* Sat Jan 12 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-6
- add ldconfig scriplets
- remove trailing whitespace from the Summary,Group,License and URL lines

Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/compiz-plugins-extra.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-plugins-extra-0.8.8-6.fc19.src.rpm
Comment 8 Mario Blättermann 2013-01-13 05:31:22 EST
OK, looks good now.


----------------

PACKAGE APPROVED

----------------
Comment 9 Wolfgang Ulbrich 2013-01-13 09:17:21 EST
New Package SCM Request
=======================
Package Name: compiz-plugins-extra
Short Description: Additional Compiz Fusion plugins for Compiz
Owners: raveit65
Branches: f18
InitialCC:
Comment 10 Gwyn Ciesla 2013-01-14 06:50:05 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-01-16 20:20:25 EST
compiz-plugins-extra-0.8.8-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-plugins-extra-0.8.8-7.fc18
Comment 12 Fedora Update System 2013-01-19 22:30:20 EST
compiz-plugins-extra-0.8.8-7.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-01-28 10:03:51 EST
compiz-plugins-extra-0.8.8-7.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Wolfgang Ulbrich 2013-02-12 07:27:06 EST
New Package SCM Request
=======================
Package Name: compiz-plugins-extra
Short Description: Additional Compiz Fusion plugins for Compiz
Owners: raveit65
Branches: f17
InitialCC:
Comment 15 Gwyn Ciesla 2013-02-12 08:31:12 EST
Please submit a Package Change request for new branches.
Comment 16 Wolfgang Ulbrich 2013-02-12 13:43:26 EST
Package Change Request
======================
Package Name: compiz-plugins-extra
New Branches: f17
Owners: raveit65
InitialCC:
Comment 17 Gwyn Ciesla 2013-02-12 15:38:17 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.